package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class QuerySupplierQuoteVO {
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("报价总金额")
   private Integer quoteAmount;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("报价明细")
   private List<DrpQuerySupplierQuoteDetailVO> detailList;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Integer getQuoteAmount() {
      return this.quoteAmount;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public List<DrpQuerySupplierQuoteDetailVO> getDetailList() {
      return this.detailList;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setQuoteAmount(final Integer quoteAmount) {
      this.quoteAmount = quoteAmount;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setDetailList(final List<DrpQuerySupplierQuoteDetailVO> detailList) {
      this.detailList = detailList;
   }


   public String toString() {
      Long var10000 = this.getSupplierId();
      return "QuerySupplierQuoteVO(supplierId=" + var10000 + ", supplierName=" + this.getSupplierName() + ", quoteAmount=" + this.getQuoteAmount() + ", quoteTime=" + String.valueOf(this.getQuoteTime()) + ", arrivalTime=" + String.valueOf(this.getArrivalTime()) + ", detailList=" + String.valueOf(this.getDetailList()) + ")";
   }
}
